summaryrefslogtreecommitdiffstats
path: root/tests/run.sh
diff options
context:
space:
mode:
authorMohamed Ashiq Liyazudeen <mliyazud@redhat.com>2017-05-08 21:08:09 +0530
committerMohamed Ashiq Liyazudeen <mliyazud@redhat.com>2017-05-08 22:39:07 +0530
commitec2d37cd987c6aafc7d0d71ab6c2643487d8ef92 (patch)
tree9d6137f38a97b149c4ef75878745ddd26095e2b2 /tests/run.sh
parente63a97ed1b464975c9df07ea07dec3b136fa034a (diff)
downloadgluster-ec2d37cd987c6aafc7d0d71ab6c2643487d8ef92.tar.gz
gluster-ec2d37cd987c6aafc7d0d71ab6c2643487d8ef92.tar.bz2
gluster-ec2d37cd987c6aafc7d0d71ab6c2643487d8ef92.tar.xz
gluster-ec2d37cd987c6aafc7d0d71ab6c2643487d8ef92.zip
Unit Test to check the shell script and Dockerfile lint. Travis.ci intergrated.
Refer: https://github.com/projectatomic/dockerfile_lint Signed-off-by: Mohamed Ashiq Liyazudeen <mliyazud@redhat.com>
Diffstat (limited to 'tests/run.sh')
-rwxr-xr-xtests/run.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/run.sh b/tests/run.sh
new file mode 100755
index 0000000..baf6a48
--- /dev/null
+++ b/tests/run.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+SCRIPT_DIR=$(cd $(dirname $0); pwd)
+
+for testdir in ${SCRIPT_DIR}/*; do
+ if [[ ! -d ${testdir} ]]; then
+ continue
+ fi
+
+ if [[ ! -x ${testdir}/run.sh ]]; then
+ continue
+ fi
+
+ pushd ${testdir}
+ ./run.sh
+ rc=$?
+ popd
+
+ if [[ ${rc} -ne 0 ]]; then
+ exit 1
+ fi
+done